Delete File

Deletes the uploaded file identified by its ID.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Path parameters

idstringRequired

Response

idstring
This is the unique identifier for the file.
orgIdstring
This is the unique identifier for the org that this file belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the file was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the file was last updated.

objectenum

The object type. This is always file.

statusenum
The current processing status of the uploaded file.
namestring<=40 characters
This is the name of the file. This is just for your own reference.
originalNamestring
The original name of the uploaded file.
bytesdouble
The size of the uploaded file in bytes.
purposestring
The intended use assigned to the uploaded file.
mimetypestring
The MIME type of the uploaded file.
keystring

The object-storage key for the uploaded file.

pathstring

The object-storage path for the uploaded file.

bucketstring

The object-storage bucket containing the uploaded file.

urlstring
The URL used to access the uploaded file.
parsedTextUrlstring
The URL used to access text extracted from the file.
parsedTextBytesdouble
The size of the extracted text in bytes.
metadataobject
Additional metadata associated with the uploaded file.